# コマンドラインインストレーション

Insight Teacherのアプリケーションでは、コマンドラインオプションを利用してインストールプロセス時に製品の設定をすることができます。これらのオプションは、様々なデプロイメントツールと使用してユーザーの介入なしでシステムにTeacherアプリケーションをプッシュすることができます。

| コマンドライン オプション              | 説明                                                                                                                                                                                                                                                                        |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `/classID <value>`         | インストール時にデフォルトのクラスIDを指定した値に設定します。値は任意の英数字で構成されたクラスIDとすることができます。                                                                                                                                                                                                            |
| `/adminPwd <value>`        | このオプションはコマンドラインスイッチの後に指定された値を使用してクライアントシステム上で管理者パスワードを設定します。                                                                                                                                                                                                              |
| `/connectorServer <value>` | <p>このオプションは、Insight Teacher が指定されたIPアドレス、ホスト名、またはFQDNに位置するInsight Connectorと通信するための設定です。</p><p> </p><p>例:</p><p><code>/connectorServer insight</code></p><p><code>/connectorServer 192.168.1.10</code></p><p><code>/connectorServer insight.example.domain.com</code></p> |
| `/consolePwd <value>`      | このオプションはコマンドラインスイッチの後に指定された値を使用してクライアントシステム上のInsight Teacherにアクセスするためのパスワードを設定します。                                                                                                                                                                                        |
| `/sharedSecret <value>`    | <p>このオプションは、アクセストークンとして指定された値を使用し、プライベートモードを活用するようInsightを設定します。</p><p> </p><p>例:</p><p><code>/sharedSecret Password123</code></p>                                                                                                                                        |
| `/suppressreboot`          | このオプションは、Insight Teacher がインストールされた後にクライアントシステムが再起動することを抑制します。Insightは、インストールプロセス後にクライアント機器が再起動されるまで完全に有効な状態にはならない場合があります。                                                                                                                                                |
| `/setlk`                   | <p>インストール時にこのオプションを使用すると、コマンドラインからInsight用のライセンスキーが設定されます。設定すると、起動時にInsightはライセンスキーの入力ページをスキップし、クラスID/クラスルールのログインページが表示されます。<br><br>ライセンスキーは、ダッシュを含めて正確に入力する必要があります。<br><br>ライセンスキーはこのように見えます：<br><code>XXXXXXXX-XXXXXXXX-XXXXXXXX-XXXXXXXX-XXXXXXXX</code></p>           |
| `/upgrade`                 | このオプションは、既存の設定を維持したまま、Insight Teacherアプリケーションをサイレントアップグレードします。                                                                                                                                                                                                            |

インストールコマンドラインの例を以下に示します。

`InsightInstallerTeacher.exe /classID Class101 /adminPwd Password123 /consolePwd TeacherPassword123 /sharedSecret securecommunication`

MSIインストーラを使用してInsight Teacherをインストールする場合のインストールコマンドラインの例を以下に示します。

`MSIEXEC.exe /I "msi Path" /qn CMDLINE="/classId Class101 /adminPwd Password123 /consolePwd Password345 /setlk XXXXXXXX-XXXXXXXX-XXXXXXXX-XXXXXXXX-XXXXXXXX /connectorServer insight.example.domain.com /suppressreboot"`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faronics.com/faronics-insight-docs/japanese/insutorshonto/insutru/windowshenoinsutru/insight-teachernoinsutru/komandoraininsutorshon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
